Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Removing the environment specific files as they are no longer needed …

…with separate Gemfiles for development and runtime. Left in hook to load environment-specific files if they exist in config/environments/<SCOUT_ENV>.rb
  • Loading branch information...
commit df40acdb0453dc129a60b18b540fc197878cad97 1 parent 46253bd
@zdennis zdennis authored
View
12 Gemfile
@@ -4,11 +4,9 @@ source "http://rubygems.org"
gem "compass", "= 0.11.5"
gem "compass-960-plugin", "= 0.10.4", :require => "ninesixty"
gem "yui-compass-plugin", :require => "yui"
-# gem "rb-fsevent"
+gem "rb-fsevent"
-group :build do
- gem "rake", "~> 0.9"
- gem "staticmatic2", "~> 2.0"
- gem "launchy", "~> 2.0"
- gem "term-ansicolor", "~> 1.0", :require => "term/ansicolor"
-end
+gem "rake", "~> 0.9"
+gem "staticmatic2", "~> 2.0"
+gem "launchy", "~> 2.0"
+gem "term-ansicolor", "~> 1.0", :require => "term/ansicolor"
View
2  Gemfile.lock
@@ -26,6 +26,7 @@ GEM
mime-types (1.16)
rack (1.3.2)
rake (0.9.2)
+ rb-fsevent (0.4.2)
sass (3.1.5)
spoon (0.0.1)
staticmatic2 (2.0.2)
@@ -49,6 +50,7 @@ DEPENDENCIES
compass-960-plugin (= 0.10.4)
launchy (~> 2.0)
rake (~> 0.9)
+ rb-fsevent
staticmatic2 (~> 2.0)
term-ansicolor (~> 1.0)
yui-compass-plugin
View
5 config/environment.rb
@@ -1,7 +1,10 @@
require 'rubygems'
require 'bundler'
-require File.join(File.dirname(__FILE__), 'environments', ENV["SCOUT_ENV"])
+env_specific_file = File.join(File.dirname(__FILE__), "environments", "#{ENV["SCOUT_ENV"]}.rb")
+require env_specific_file if File.exists?(env_specific_file)
+
+Bundler.require(:default)
$: << File.join(File.dirname(__FILE__), '..', 'lib')
View
1  config/environments/development.rb
@@ -1 +0,0 @@
-Bundler.require(:default, :build)
View
1  config/environments/production.rb
@@ -1 +0,0 @@
-Bundler.require(:default, :build)
View
1  config/environments/test.rb
@@ -1 +0,0 @@
-Bundler.require(:default, :build)
Please sign in to comment.
Something went wrong with that request. Please try again.